Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/22/2023 in all areas

  1. one last little update / upgrade & a dead bug , may it rest in pieces... RlxSnake.lsp
    2 points
  2. Hi steve, I changed the second check to: (cond ( ; (and ; (/= ftg NIL) (/= fred4 NIL) ; );end of AND (setq sch fred4) (done_dialog) ) (t (alert "OOPS! *new dialog* SELECT SCHEDULE - TRY AGAIN!")) );end of cond taking out the 'ftg' check. No change, in that if none of the radio buttons associated with 'fred4' are selected, the alert is diaplayed, when you select 'OK' on the alert box ALL dialogs are closed.
    1 point
  3. Cool .. I just tested your code and it works for me ( AutoCAD 2023 ). Nevermind .. it only works with solid hatches. This seems to work: (setq ss (ssget '((0 . "HATCH") (-4 . "<NOT") (2 . "*`,*") (-4 . "NOT>"))))
    1 point
  4. I realy don't know , a certain percentage of the work has to be outsourced, company policy , and the rest is for despiccable me
    1 point
  5. I just used the csv file provide by smitaranjan and merged all four pop-to-pop it into one. rlx.csv
    1 point
  6. Ok I did something for water mains keep picking points and a pline is made with an offset from those points, as your drawing looks like a services plan. It jumps roads etc so can draw a long route. Ok 1st thing dont take this the wrong way but if my group drew it they would be asked to do it again with lines parallel to the street boundaries so that is 1st task. Wiil try to find water main lisp for you. Offsetting is easy part same with join ends to a pt. A small dwg with correct after would be helpful and is needed before any one should jump in. Ok found a version its just pick points like along a boundary, I dont think its final version which I am sure did plines so will fix soon. Can swap sides etc. Try it and resubmit a new DWG. ; draw offsets from points for random shape object making pline ; By Alan H AUG 2019 (defun C:ploffs (/ offdir offd x pt1 pt2 pt3 oldsnap ssp) (defun drawline (/ ang pt3 obj) (setq ang (angle pt1 pt2)) (if (= offdir "L") (setq pt3 (polar pt2 (+ ang (/ pi 2.0)) 10)) (setq pt3 (polar pt2 (- ang (/ pi 2.0)) 10)) ) (setvar 'osmode 0) (command "line" pt1 pt2 "") (setq obj (entlast)) (command "offset" offd obj pt3 "") (setq ssp (ssadd (entlast) ssp)) (command "erase" obj "") (setq pt1 pt2) ) (defun swapr-l (/) (if (= (strcase offdir) "L") (setq offdir "R") (setq offdir "L") ) (setvar 'osmode oldsnap) (setq pt1 (getpoint "\nPick next point")) (setq pt2 (getpoint "\nPick next point")) (drawline) ) ; starts here ; add side pick (setq oldsnap (getvar 'osmode)) (setq ssp nil) (initget 6 "R L") (setq offdir (strcase (getstring "Right or Left"))) (setq offd (getreal "Enter offset distance")) (setq pt1 (getpoint "pick 1st point")) (setq ssp (ssadd)) (initget 6 "1 2 3 4 5 6 7 8 9 0 a b c d e f g h i j k l m n o p q r s t u v w x y z") (while (setq pt2 (getpoint "\nPick next point or [S Swap sides]:<")) (cond ((= (type pt2) 'LIST) (drawline)) ((= (type pt2) 'str) (swapr-l)) ; also calls drawlines ((= pt2 nil) (quit)) ) (setvar 'osmode oldsnap) (initget 6 "Swap") ) (setq x 0) (repeat (- (sslength ssp) 1) (setvar 'filletrad 0) (command "fillet" (ssname ssp x) (ssname ssp (1+ x))) (setq x (1+ x)) ) (setq x 0) (command "pedit" (entlast) "Y" "J") (repeat (- (sslength ssp) 1) (command (ssname ssp x)) (setq x (1+ x)) ) (command "" "") (princ) ) (C:ploffs) Look at red lines.
    1 point
  7. There are built in shortcuts but of course it might differ from the one you're using in AutoCAD. https://www.autodesk.com/shortcuts/revit You can export your shortcuts as an xml file... so when you change your computer, just import that again
    1 point
  8. @pegasus do you mean some like it? I made it by given Arc and Line options when PLINE (defun c:1mm_pline ( / oldlt) (setq oldlt (getvar 'celtype)) (command "layer" "m" "Layer1" ""); the M option make or set the layer (setvar 'celtype "hidden"); it has to be loaded (setvar 'CELTSCALE 1) (setvar 'plinewid 0.7) (setq pt (getpoint "\nPline start point: ")) (command "_pline" pt) (while (= (getvar "cmdactive") 1 ) (command (getpoint (getvar 'lastpoint))) ) (if (= (getvar "cmdactive")0) (progn (setq plent (vlax-ename->vla-object (entlast)))) (if (vlax-method-applicable-p plent 'offset) (progn (vla-offset plent 0.5) (setq en1 (vlax-ename->vla-object (entlast))) (vla-put-Constantwidth en1 0) (vla-put-linetypescale en1 1) (vla-put-linetype en1 "Continuous") (vla-offset plent -0.5) (setq en2 (vlax-ename->vla-object (entlast))) (vla-put-Constantwidth en2 0) (vla-put-linetypescale en2 1) (vla-put-linetype en2 "Continuous") ) ) ) ) (setvar 'celtype oldlt) (setvar 'CELTSCALE 1) (setvar 'plinewid 0.0) (princ ) ) 3 lines poly.dwg like tracks.lsp
    1 point
×
×
  • Create New...